package com.om.service;

import com.om.entity.po.PcbVersionInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.PcbInfoVO;
import com.om.utils.Result;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-03-12
 */
public interface IPcbVersionInfoService extends IService<PcbVersionInfo> {

    Result getPageList(Integer pageIndex, Integer pageSize, String username);

    Result edit(PcbInfoVO pcbInfoVO);

    Result downloadFile(Integer id);

    Result delete(Integer id);

    Result add(PcbInfoVO pcbInfoVO);
}
